AutoCad :: How To Create Flat 2D Profiles From 3D Solids
Jan 21, 2003
I need to create flat 2d profiles from 3d solids and was wondering what is the best way to do this? I know it can be done by plotting to a DX file but even with the hide lines on I end up with a lot of unwanted lines that need to be cleaned up which can take up too much time.
Is there a way in Autocad to create a solid that moves, for instance I have a piece of equipment on a hinge and i wanted to show how the equipment looks in use and then how the equipment looks once it moves on the hinge.
After migrating my project from MDT2009 to Inventor 2010, every solid body in MDT became a part file in INV. If I were modeling from scratch, some of the .IPTs should be multibody parts. Is there any way to cut & paste a solid from one part to another to create a multibody part? I’m not talking about deriving a new part from the source parts. The end result should be a multibody part with all sketches intact and all solids fully editable, as if I had modeled them as a multibody part right from the beginning.
I’ve attached a simple example of two separate parts that should be combined into one multibody part, as shown in the .JPG file. Can it be done without deriving the parts?
I want to creat a flatpattern of an iregulary cut cylinder that was made in the standard .ipt world and is now converted into a sheetmetal. I want to "Unroll" the piece out so can see the shape of it as a flat piece. Picture of it is attached.
I can't get Inventor to create a flat pattern of the attached sheetmetal part. It's a pretty basic part, just five folds. I'm not getting any error issues - when I go to the flat pattern it just shows the folded part (picture attached).
I assume it has something to do with the way I folded it and the notches, etc. Inv makes to accomplish the fold. I'm using Inventor 2013 on Win 8.
I need a code to generate the Flat Pattern in VBA.
I made an app who sets the specific material and I would like to unfold the folded part at the same time.
I tried this code, but not works:
Dim partDoc As PartDocument Dim sheetMetalDef As SheetMetalComponentDefinition If (Not sheetMetalDef.HasFlatPattern()) Then sheetMetalDef.Unfold End If
I am using Land Desktop 2005 w/ Civil 2005 and how to create a profile/cross section. My scope of work is as follows: The land for survey is approximately 1,500 feet by 110 feet. The survey shall consist of cross sections every 200 feet along the length of the rectangular shaped piece of land equating to no more than 8 cross sections. I am use to just doing regular topos and boundaries.
I would like to know if it is possible to create more then one shortcut key profile in acad2011.
I need more then one acad.pgp file with different configurations that i can load via express => tools any time I want. Tried to make a copy and name it acad1.pgp, acad2.pgp, etc... but when I start up express tools, cmd editor, the option file => open does not give me the result I was hoping for. Does nothing actually, just allows me to view the shortcut configurations in the particular file. Hope that this explains my predicament
In previous versions I could create a flat polygon mesh by typing "3D" and have an option to create a planar mesh "M" X "N" by specifying the 4 corners along with M and N. I don't see a way to draw this mesh in 2012 without having to ID every vertices. This procedure is listed in the Legacy portion of Help, but I do not see a way to do it.
I am trying to create a flat bar family similar to the ANSI one but has smaller sizes & is more in line with the AS standard. I have searched the inter web & have found a few on changing/editing existing families but not creating a new one.
How can I create a flat belt driven system? The drive system and the flat belt are in the attachments of this message.
What I did until now was to create a part for the belt within the assembly (extrude part). The sketch is depending on the position of the rollers and everything else. Although when I create the belt I can no longer move the system. If I suppress the belt, move the system and unsupress the belt, the belts assumes the new positions.
My purpose would be to be able to still get a variable assembly so I could also make a dynamic simulation of the system.
I recently switched to Inventor 2012 from a previous version. I cannot find the create flat pattern command. Some of my coworkers were able to customize their RMB menu to have this command, but I am not even able to do that! (They don't have the command on the ribbon, either.)
To increase the speed of production, I like to generate idws of flat patterns from assembly. The following iLogic rule work fine inside a metal sheet (I had to create flat pattern before run this rule).
Imports Inventor.ViewOrientationTypeEnumImports Inventor.DrawingViewStyleEnumDim oDrawingDoc As DrawingDocumentDim oPartDoc As DocumentDim oSheet As sheetDim oTG As TransientGeometryDim oView1 As DrawingViewDim oOptions As NameValueMapoPartDoc [Code] ........
But from an assembly there are some problem ( firstable I'm not an expert of vba and ilogic) Imports Inventor.ViewOrientationTypeEnumImports Inventor.DrawingViewStyleEnumfmgr = ThisApplication.FilemanagerFor Each file In fmgr.filesdoc = ThisApplication.Documents.ItemByName (file.fullfileName)compdef = doc.ComponentDefinition' For each assembly or subassembly'If (doc.documenttype = 12291) Then For Each occ In compdef.Occurrences' For sheet metal or part [Code] ........
I have created a round end cap with a flange for a tank. (Please see attached picture) We have a flanging machine that rolls the edges on round flat pieces of sheet metal. The issue is that no matter how I create this rolled flange in the model, I cannot get a flat pattern out of this.
We need to know the size of the blank before rolling the lip on it and I have tried using the contour flange and it doesn't work, I have tried revolving in sheet metal and it still will not create a round flat pattern. It seems that no matter what I do, it will not produce a round flat pattern. Is this something that can be done in inventor or am I just trying to do something that inventor is not yet capable of doing?
I'm totally new in Civil 3D. I'm using 3D laser scanner to measure and lately draw 3D "as build" models of tunnels, bridges etc. So now I have 3D model of bridge, which is simply created with layers, 3d faces, boxes etc. - primitive ACAD 3D modelling.
Now I want to create sections on multiple stacions. How to start? Is there any step by step tut with this feature?
I want to create a hole approx 586x586mm. But every time i try inventor respond with "The attempted operation did not produce a meaningful result" If i do a slightly smaller hole it will work, but that is not what i want...
I would like to know how to draw segment elbow 90 degrees ( segments are not equal ) and create Flat Pattern for each of the segments - using sheetmetal in Autodesk Inventor?
I am creating construction plans sets that require 3 road profiles for the left edge, center and right edge. I would like to dynamically link the center line profile with the edge profiles.
I have created alignment offsets to obtain the existing surface at the offset location. I would like the edge profiles to have a vertical offset from the center profile. Also if I modify the center profile I want it to dynamically adjust the edge profiles.
I'm attempting to create a mini version of a product, I use the Derived Component button and scale the part down. Then I use Convert to Sheet Metal, set my sheet metal defaults, but then nothing happens when i try to create flat pattern. Is it even possible to derive a flat pattern from a scaled part?
The company I work for has a large number of Left Hand and Right Hand sheet metal parts. To reduce the amount of time needed to create both Left Hand and Right Hand sheet metal parts, I use the Derived Part icon. I create a Left Hand part, use the derive icon with mirroring on and create the Right Hand part. While the Right Hand sheet metal part gets created, the Right Hand part will not allow me to create a Flat Pattern.
what steps must I follow to create a derived sheet metal part that I can make a Flat Pattern with?
Is there a particular reason that the intersection wizard will not create the profiles if you select the horizontal alignments rather than let it create them by offset?? My EOP is not always parallel to the centerline. Why bother giving the option to pick out a name if it isn't going to work.
I am having some issues with surface profiles on a dreffed alignment no updating dynamically.
Currently it requires me to set them to static, then back to dynamic and they update.
I am well aware of the issue of dreffed surface profiles staying static. I am using the work around of dreffing in the surface and sampling in the drawing using the dreffed alignment.
I am making a pictured based off of one of my drawings, and it requires that it can transform a flat, perspective image to make it look rounded. How would I accomplish this?
I am trying to follow this tutorial on how to create anamorphic images and I don't know how to use vanishing point. How to create a flat grid like it says. Also, does the number of rows in a grid matter? Because in the picture it's like five rows across and when I create a grid it's at least twenty rows across. I have an art final due in a two days.